Package org.eclipse.lemminx.settings

## Class XMLExcludedSymbolFile

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher
  - - org.eclipse.lemminx.settings.XMLExcludedSymbolFile

    public class XMLExcludedSymbolFile
    extends PathPatternMatcher

XMLExcludedSymbolFiles

### Constructor Summary

Constructors
`XMLExcludedSymbolFile​(String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`

### Methods inherited from class org.eclipse.lemminx.settings.PathPatternMatcher

`getPathMatcher, getPattern, matches, matches, setPathMatcher, setPattern`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLExcludedSymbolFile

    public XMLExcludedSymbolFile​(String pattern)

### Method Detail

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `PathPatternMatcher`